%%
%% This is file `etatoim.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% etatoim.dtx 
%% 
%% IMPORTANT NOTICE:
%% 
%% For the copyright see the source file.
%% 
%% Any modified versions of this file must be renamed
%% with new filenames distinct from etatoim.cls.
%% 
%% For distribution of the original source see the terms
%% for copying and modification in the file etatoim.dtx.
%% 
%% This generated file may be distributed as long as the
%% original source files, as listed above, are part of the
%% same distribution. (The sources need not necessarily be
%% in the same archive or directory.)
%% ETATOIM  DOCUMENT CLASS -- Released January 30, 2007
%%    for LaTeX version 2e
%%    J^^fcri Lippus, TT^^dc K^^fcberneetika Instituut
%% Copyright (C) Eesti TA Kirjastus
%%
%% This is a class file for use instead of the article class to produce
%% camera-ready papers for the Proceedings of the Estonian Academy of
%% Sciences, Phys.-Math. series

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{proceedings}[2018/04/10 Eesti TA Toimetised]

\newif\if@dblsp
\newif\if@twocol
\newif\if@citenumbers\@citenumberstrue

\DeclareOption{draft}{\PassOptionsToClass{draft}{article}}
\DeclareOption{dblsp}{\@dblsptrue}
\DeclareOption{twocol}{\@twocoltrue}
\DeclareOption{authoryear}{\@citenumbersfalse}
\DeclareOption{numbers}{\@citenumberstrue}
\ProcessOptions
\LoadClass[11pt,twoside,a4paper]{article}
\RequirePackage{graphicx}
\RequirePackage{amsmath}
\RequirePackage{amsfonts}
\RequirePackage{amssymb}
\RequirePackage[ansinew]{inputenc}
\RequirePackage{mathptmx} 
\if@citenumbers%
  \RequirePackage[numbers, sort&compress]{natbib}%
  \def\NAT@def@citea{\def\@citea{\NAT@separator}}%
\else%
  \RequirePackage[authoryear]{natbib}%
\fi

\if@twocol\RequirePackage{multicol}\fi

%%%%%%% LISTS

\def\@listi{\leftmargin\leftmargini \labelsep\fontdimen2\font \topsep\z@ \parsep\z@ \itemsep\z@ \partopsep\z@}
\let\@listI\@listi
\def\@listii{\leftmargin\leftmarginiv \labelsep\fontdimen2\font \topsep\z@ \parsep\z@ \itemsep\z@ \partopsep\z@}
\def\@listiii{\leftmargin\leftmarginiv \labelsep\fontdimen2\font \topsep\z@ \parsep\z@ \itemsep\z@ \partopsep\z@}
\def\@listiv{\leftmargin\leftmarginiv \labelsep\fontdimen2\font \topsep\z@ \parsep\z@ \itemsep\z@ \partopsep\z@}
\def\@listv{\leftmargin\leftmarginiv \labelsep\fontdimen2\font \topsep\z@ \parsep\z@ \itemsep\z@ \partopsep\z@}
\def\@listvi{\leftmargin\leftmarginiv \labelsep\fontdimen2\font \topsep\z@ \parsep\z@ \itemsep\z@ \partopsep\z@}

%%%%%%% FONTS

\renewcommand\normalsize{%
  \if@dblsp%
    \@setfontsize\normalsize\@xipt{22}%
  \else%
    \@setfontsize\normalsize\@xipt{13}%
  \fi%
  \if@twocol%
    \@setfontsize\normalsize\@xpt{11}%
  \else%
    \@setfontsize\normalsize\@xipt{13}%
  \fi%
  \abovedisplayskip 12\p@ \@plus3\p@ \@minus7\p@
  \abovedisplayshortskip \z@ \@plus3\p@
  \belowdisplayshortskip 6.5\p@ \@plus3.5\p@ \@minus3\p@
  \belowdisplayskip \abovedisplayskip
  }
\normalsize

\renewcommand\small{%
  \if@dblsp%
    \@setfontsize\small{9}{18}%
  \else%
    \@setfontsize\small{9}{11}%
  \fi%
  \abovedisplayskip 11\p@ \@plus3\p@ \@minus6\p@
  \abovedisplayshortskip \z@ \@plus3\p@
  \belowdisplayshortskip 6.5\p@ \@plus3.5\p@ \@minus3\p@
  \belowdisplayskip \abovedisplayskip
}

\renewcommand\footnotesize{%
  \if@dblsp%
    \@setfontsize\footnotesize{9}{18}%
  \else%
    \@setfontsize\footnotesize{9}{11}%
  \fi%
  \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
  \abovedisplayshortskip \z@ \@plus3\p@
  \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
  \belowdisplayskip \abovedisplayskip
}

\newcommand\headersize{\@setfontsize\headersize\@xipt{13}}
\newcommand\runningheadsize{\@setfontsize\runningheadsize{9}{11}}
\newcommand\summarysize{\@setfontsize\summarysize\@xpt{11}}
\renewcommand\large{\@setfontsize\large\@xiipt{14}}
\renewcommand\Large{\@setfontsize\large{14}{16.8}}

\def\doublesp@ce{\spaceskip=2\fontdimen2\font plus 2\fontdimen3\font minus 2\fontdimen4\font}
\def\monosp@ce{\spaceskip=\fontdimen2\font plus \fontdimen3\font minus \fontdimen4\font}


\long\def\symbolfootnote[#1]#2{\begingroup%
\def\thefootnote{\fnsymbol{footnote}}\footnote[#1]{#2}\endgroup}

\def\corauthref#1{\symbolfootnote[1]{#1}}

\toksdef\toks@@=2


\def\@subjfield{}

\def\@presented{}
\def\@markleft{}
\def\@dedicatory{}
\def\@abstract{}
\def\@address{}
\def\@curraddr{}
\def\@email{}
\def\@date{}
\def\@keywords{}
\def\@subjclass{}


%%%%%%% RELEASE INFORMATION

\def\@toiminfo{201?, ??, ?, ??--??} % default information
\def\toiminfo#1{% \toiminfo{}  changes default information
\def\toiminfo@rg{#1}%
\ifx\toiminfo@rg\empty\else\gdef\@toiminfo{#1}\fi}


%%%%%%% DOI

\def\@doi{201?.?.??} % default doi
\def\doi#1{% \doi{} changes the default doi
\def\doi@rg{#1}%
\ifx\doi@rg\empty\else\gdef\@doi{#1}\fi}


%%%%%%% FIELD OF RESEARCH
\def\@subjfield{}
\def\subjfield#1{\gdef\@subjfield{#1}} % \subjfield{} allows to include an image with field of research

%%%%%%% COPYRIGHT DECLARATION

\def\@license#1{\copyright{} #1 Authors. This is an Open Access article distributed under the terms and conditions of the Creative Commons Attribution-NonCommercial 4.0 International License (http://creativecommons.org/licenses/by-nc/4.0/).}
\def\c@pyright{\@license{20??}}% default declaration

\def\copyrightyear#1{% \copyrightyear{} changes the year in the declaration
\def\copyrightyear@rg{#1}%
\ifx\copyrightyear@rg\empty\else\gdef\c@pyright{\@license{#1}}\fi}


%%%%%%% CHRONICLE

\def\xd@te{?? Month 20??}% default date
\def\@chronicle{Received \xd@te,  accepted \xd@te, available online \xd@te}% default chronicle text

\def\chronicle#1#2#3#4{% \chronicle{}{}{}{} changes the dates in the chronicle
\def\r@ceived{#1}%
\def\r@vised{#2}%
\def\@ccepted{#3}%
\def\@vailable{#4}%
\gdef\@chronicle{Received \ifx\r@ceived\empty\xd@te\else#1\fi \ifx\r@vised\empty\else, revised #2\fi,  accepted \ifx\@ccepted\empty\xd@te\else#3\fi, available online \ifx\@vailable\empty\xd@te\else#4\fi}}


\def\mult@{\relax}
\newlength\par@ind
\setlength{\par@ind}{\parindent}
\def\hang@{\hangindent\par@ind}
\def\par@item{\par\hang@\textindent}
\def\textindent#1{\indent \llap{#1\enspace}\ignorespaces}
\def\thanks#1{{\let\@thefnmark\relax
\@footnotetext{#1}}}



\def\multiauthor{\gdef\mult@{\par@item}}
\let\frills@\relax
\let\nofrillscheck\relax
\newcount\addresscount@
\addresscount@\z@
\def\address#1{\global\advance\addresscount@\@ne
  \expandafter\gdef\csname address\number\addresscount@\endcsname
  {\nobreak\noindent\small\rm\mult@#1\par}}
\def\curraddr{\let\savedef@\curraddr
  \def\curraddr##1{\let\curraddr\savedef@
  \toks@\expandafter\expandafter\expandafter{%
       \csname address\number\addresscount@\endcsname}%
  \toks@@{##1}%
  \expandafter\xdef\csname address\number\addresscount@\endcsname
  {\the\toks@\endgraf\noexpand\nobreak
    \noindent\mult@{}{\noexpand\rm
    \frills@{{\noexpand\rm Current address:}\space}%
    \def\noexpand\usualspace{\space}\the\toks@@\unskip}}}%
  \nofrillscheck\curraddr}
\def\email{\let\savedef@\email
  \def\email##1{\let\email\savedef@
  \toks@{\def\usualspace{{\rm\enspace}}\endgraf\noindent\mult@{}\small}%
  \toks@@{##1 \par}%
  \expandafter\xdef\csname email\number\addresscount@\endcsname
  {\the\toks@\frills@{{\noexpand\rm E-mail:}%
     \noexpand\enspace}\the\toks@@}}%
  \nofrillscheck\email}
\def\presented#1{\gdef\@presented{#1}}





\def\markleft#1{\gdef\@markleft{#1}}
\def\dedicatory#1{\gdef\@dedicatory{#1}}
\def\date#1{\gdef\@date{#1}}
\def\abstract#1{\gdef\@abstract{#1}}
\def\keywords#1{\gdef\@keywords{#1}}
\def\subjclass#1{\gdef\@subjclass{#1}}

%%%%%%% TITLE COMMANDS

\renewcommand\maketitle{\newpage
\begingroup
\def\thefootnote{\alph{footnote}}%
\vbox{\headersize \hbox{\includegraphics[height=23truemm]{ak.eps}%
\vbox to 25truemm{\hsize 108truemm %
\centerline{Proceedings of the Estonian Academy of Sciences,} \par%
\centerline{\@toiminfo} \par%
\centerline{\runningheadsize https://doi.org/10.3176/proc.\@doi} \par%
\centerline{\runningheadsize Available online at www.eap.ee/proceedings}\par%
\vfill}
\ifx\@subjfield\empty\else\includegraphics[height=25truemm]{\@subjfield}\fi
}}
\vskip 2truecm plus 1truecm minus1truecm
{\center\Large\doublesp@ce\bf \@title \par}%
\ifx\@dedicatory\empty\else \vskip 12pt
{\large \it \center\@dedicatory \par}\fi
\vskip 14pt
{\center \large \@author \par}%
\vskip 12pt
\ifx\addresscount@\z@\else
\count@\z@\loop\ifnum\count@<\addresscount@\advance\count@\@ne
\csname address\number\count@\endcsname
\csname email\number\count@\endcsname
\repeat \fi
\ifx\@presented\empty\else \vskip 12pt
{\small \noindent Presented by \@presented \par}\fi

\vskip 12pt plus\p@ minus\p@ {\small \noindent \@chronicle \par}

\vskip 12pt plus\p@ minus\p@ {\small \noindent \c@pyright \par}

\ifx\@date\empty\else \vskip 12pt {\small \noindent \@date \par}\fi
\ifx\@abstract\empty\else \vskip 12pt plus\p@ minus\p@
{\small \noindent {\bf Abstract.} \@abstract \par}\fi
\ifx\@keywords\empty\else \vskip 12pt plus\p@ minus\p@
{\small \noindent {\bf Key words:} \@keywords .\par}\fi
\ifx\@subjclass\empty\else \vskip 6pt
{\small \noindent {\bf 1991 Mathematics Subject Classification:}
   \@subjclass .\par}\fi
\endgroup
\thispagestyle{empty}%
\setcounter{footnote}{0}%
\let\maketitle\relax
}

%%%%%%% THEOREM-LIKE STRUCTURES

\def\@begintheorem#1#2{\trivlist \item[\hskip \labelsep{\bf #1\ #2.}]\it}
\def\@opargbegintheorem#1#2#3{\trivlist \item[\hskip \labelsep{\bf #1\ #2\ (#3).}]\it}


%%%%%%% CITATION COMMANDS

\def\@cite#1#2{{\rm [\hbox{%
    $\fontsize{\sf@size}{\f@baselineskip}\selectfont
    \m@th^{\mbox{#1}}$\if@tempswa , $\m@th^{\mbox{#2}}$\fi}]}}
\def\lcite#1{{\rm [{\hbox{$\fontsize{\sf@size}{\f@baselineskip}%
    \selectfont\m@th^{\mbox{#1}}$}}]}}


%%%%%%% SECTIONING COMMANDS

\renewcommand{\@seccntformat}[1]{\csname the#1\endcsname.\monosp@ce~} % adds dot and space after the number of a section title

\renewcommand\section{\@startsection {section}{1}{\z@}%
                                   {-24pt plus -12pt minus -12pt}%
                                   {12pt}%
                           {\reset@font\normalsize\bf\doublesp@ce\MakeUppercase}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-24pt plus -12pt minus -12pt}%
                                     {12pt}%
                            {\reset@font\normalsize\bf\doublesp@ce}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-24pt plus -12pt minus -12pt}%
                                     {12pt}%
                             {\reset@font\normalsize\rm}}


%%%%%%% TABLES

\def\TabDimMin{1in}

\newdimen\t@blemarg
\newdimen\t@blesize

\long\def\tbl#1#2{%
\def\thefootnote{\fnsymbol{footnote}}
 \setbox\@tempboxa\hbox{\small#2}%
 \t@blemarg\hsize\advance\t@blemarg by - \ifdim \wd\@tempboxa < \TabDimMin \TabDimMin \else \wd\@tempboxa\fi
    \global\divide\t@blemarg\tw@
 \t@blesize\hsize\advance\t@blesize by - 2\t@blemarg
 \caption{#1}
    \centerline{\box\@tempboxa}}%

\newenvironment{tblnotes}{%
\def\thefootnote{\fnsymbol{footnote}}
\par\small
\@ifnextchar[{\@tblnotes}{\@tblnotes[]}}{}

\def\@tblnotes[#1]{\def\@Tempa{#1}\leftskip\t@blemarg\rightskip\leftskip \rule{1in}{0.4pt}\par
\ifx\@Tempa\@empty\else{\itshape #1:}\ \fi}


%%%%%%% CAPTIONS

\renewcommand\figurename{Fig.}

\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}

\def\@PEAScaptionspace{\vskip\abovecaptionskip\relax}

\def\FigName{figure}

\long\def\@makecaption#1#2{%
  \ifx\@captype\FigName\@PEAScaptionspace % adds skip above figure caption
    \sbox\@tempboxa{\small \textbf{#1.} #2}%
    \ifdim \wd\@tempboxa > \hsize
      {\small \textbf{#1.} #2\par}
    \else
      \global \@minipagefalse
      \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
    \fi
  \else
    \sbox\@tempboxa{\small \textbf{#1.} #2}%
    \ifdim \wd\@tempboxa > \t@blesize
    {\leftskip\t@blemarg\rightskip\t@blemarg \small \textbf{#1.} #2\par}
    \else
      \global \@minipagefalse
      \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
    \fi
    \@PEAScaptionspace % adds skip below table caption
  \fi
  }
 
  
\long\def\topcaption[#1]#2{%
  \vskip\abovecaptionskip
  \hbox to \hsize{\small\it\hfil #1}
  \sbox\@tempboxa{\small\bf #2}%
  \ifdim \wd\@tempboxa >\hsize
    {\small\bf #2\par}
  \else
    \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
  
  
%%%%%%% FOOTNOTES

\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule width 1in
  \kern 2.6\p@}
  
\long\def\@makefntext#1{%
      \@setpar{\@@par
       \@tempdima = \hsize
     %  \advance\@tempdima-24pt
       \parshape 2 0pt \@tempdima \par@ind \@tempdima}%
       \par
   \noindent
   \hbox to \par@ind{\hss\@makefnmark\hss}#1}


%%%%%%% REFERENCES

\renewcommand\refname{REFERENCES}
\renewcommand\@biblabel[1]{#1.}
\renewcommand\bibindent{\parindent}

\renewenvironment{thebibliography}[1]
     {\section*{\refname
        \@mkboth{\uppercase{\refname}}{\uppercase{\refname}}}%
      \small\list{\@biblabel{\arabic{enumiv}}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
              \advance\leftmargin\bibindent
              \itemindent -\bibindent
              \listparindent \itemindent
            \itemsep \z@
        \parsep \z@
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\arabic{enumiv}}}%
        \renewcommand\newblock{\par}
      \sloppy\clubpenalty4000\widowpenalty4000%
      \sfcode`\.=\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist\normalsize}

      
%%%%%%% SUMMARY
      
\newenvironment{summary}[2]%
     {\vskip24trueptplus12trueptminus4truept
     {\centering\large\doublesp@ce\textbf{#1}\par}
     \vskip12trueptplus4trueptminus1truept
     {\centering\large{#2}\par}
     \vskip12trueptplus4trueptminus1truept
      \normalsize\par}
      {\normalsize}
\let\@oddfoot\@empty\let\@evenfoot\@empty
\renewcommand{\@oddhead}{\runningheadsize {\it \@markleft} \hfill \thepage}
\renewcommand{\@evenhead}{\runningheadsize \thepage \hfill%
\textit{Proceedings of the Estonian Academy of Sciences, \@toiminfo}}
\setlength{\oddsidemargin}{-0.34cm}
\setlength{\evensidemargin}{-0.34cm} \setlength{\topmargin}{0cm}
\setlength{\textwidth}{16.5cm} \setlength{\textheight}{23.0cm}
\setlength{\columnsep}{6truemm}

\endinput
%%
%% End of file `etatoim.cls'.

